.d9f4r271 {
  $transition: ease-out 0.25s;

  &-toast-container {
    position: fixed;
    top: 20px;
    right: 0;
    z-index: 50;
    display: flex;
    align-items: flex-end;
    flex-direction: column;
  }

  &-toast {
    position: relative;
    display: flex;
    overflow: hidden;
    align-items: center;
    justify-content: center;
    margin: 0 30px 8px;
    padding: 10px 40px 10px 15px;
    max-width: 360px;
    width: auto;
    border-radius: 3px;
    color: #f5f5f5;
    text-shadow: 1px 1px 2px rgba(#000, 0.2);
    font-size: 14px;
    line-height: 20px;
    opacity: 0;
    cursor: default;
    transition: opacity $transition;
    pointer-events: all;
    user-select: none;

    &::after {
      position: absolute;
      top: 0;
      left: 0;
      z-index: -1;
      width: 100%;
      height: 100%;
      border-radius: 3px;
      box-shadow: inset 0 -10px 20px -10px rgba(0, 0, 0, 0.2),
        inset 0 0 5px rgba(0, 0, 0, 0.1), 0 8px 8px -5px rgba(0, 0, 0, 0.25);
      content: '';
    }

    &-show {
      opacity: 1;
      // transform: scale(1) translateY(0);
    }

    &-hide {
      opacity: 0;
      // transform: scale(0) translateY(-300%);
    }

    &-success {
      $green: #2fcc71;
      border-color: darken($green, 10%);
      background: darken($green, 1%);
    }

    &-error {
      $red: #e84c3d;
      border-color: $red;
      background: $red;
    }

    &-warn {
      $orange: #edc653;
      border-color: darken($orange, 10%);
      background: darken($orange, 1%);
    }

    &-newline {
      display: block;
    }

    &-progress {
      position: absolute;
      bottom: 0;
      left: 0;
      z-index: 1;
      width: 100%;
      height: 3px;
      border-radius: 3px;
      background: rgba(0, 0, 0, 0.3);
      transition: width $transition;
    }

    &-close {
      position: absolute;
      //top: 50%;
      top: 0;
      right: 0;
      bottom: 0;
      width: 40px;
      text-align: center;
      cursor: pointer;

      span {
        position: absolute;
        top: 50%;
        left: 50%;
        font-size: 2em;
        line-height: 0;
        transform: translateX(-50%);
      }
    }
  }
}
